Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session
Class SessionRuntimeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.novell.service.session.SessionRuntimeException

public class SessionRuntimeException
extends java.lang.RuntimeException
implements java.io.Serializable, HasRootCause

Provides an exceptions for cases that are considered catastrophic. In such cases there is no chance of application recovery. This does not preclude application attempts at recovery, however keep in mind that these attempts may become implementation-specific, and thus might become obsolete against future releases of this class library.

See Also:
  Serialized Form

Constructor Summary
`SessionRuntimeException(java.lang.String s)` Constructs a SessionRuntimeException with the specified detail message.
`SessionRuntimeException(java.lang.String s, java.lang.Throwable rootException)` Constructs a SessionRuntimeException with a detail message and a root-cause exception.

Method Summary
`java.lang.Throwable` | `getRootCause()` Returns the root-cause exception.
`java.lang.String` | `toString()` Returns a short description of this throwable object.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionRuntimeException

    public SessionRuntimeException(java.lang.String s)

  Constructs a SessionRuntimeException with the specified detail message. A detail message is a String that describes this particular exception.
  Parameters:
    `s` - The detail message describing this exception.

### SessionRuntimeException

    public SessionRuntimeException(java.lang.String s,
                                   java.lang.Throwable rootException)

  Constructs a SessionRuntimeException with a detail message and a root-cause exception. The root cause exception can be retrieved using the getRootCause() method.
  Parameters:
    `s` - The detail message describing the exception.
    `rootException` - The root-cause exception.

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Returns the root-cause exception. It is inherited from HasRootCauses().
  Specified by:
    getRootCause in interface HasRootCause
  Returns:
    The root cause exception as a Throwable object.

### toString

    public java.lang.String toString()

  Returns a short description of this throwable object.
  Returns:
    A string representation of this root-cause exception.
  Overrides:
    toString in class java.lang.Throwable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD